Bug 475897 - Review Request: ncmpcpp - Clone of ncmpc with new features and written in C++
Review Request: ncmpcpp - Clone of ncmpc with new features and written in C++
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-10 18:08 EST by Michal Nowak
Modified: 2013-03-07 21:05 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 21:10:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mail: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michal Nowak 2008-12-10 18:08:34 EST
Spec URL: http://mnowak.fedorapeople.org/ncmpcpp/ncmpcpp.spec
SRPM URL: http://mnowak.fedorapeople.org/ncmpcpp/ncmpcpp-0.2.5-1.fc10.src.rpm
Description: 
Ncmpcpp is almost exact clone of ncmpc but it contains some new
features ncmpc doesn't have. It's been also rewritten from scratch
in C++. New features include: tag editor, playlists editor, easy to
use search screen, media library screen, lyrics screen and more.
Comment 1 Michal Nowak 2008-12-10 19:21:43 EST
Spec URL: http://mnowak.fedorapeople.org/ncmpcpp/ncmpcpp.spec
SRPM URL: http://mnowak.fedorapeople.org/ncmpcpp/ncmpcpp-0.2.5-2.fc10.src.rpm

%changelog
* Thu Dec 11 2008 Michal Nowak <mnowak@redhat.com> 0.2.5-2
- added ncurses-devel as BuildRequires
Comment 2 Fabian Affolter 2009-01-12 05:26:13 EST
Some comment before I do a full review.

- '-n %{name}-%{version}' is not needed in %setup because this is the default.
- ChangeLog is missing in %doc
- I personally like one line per BR ;-)
Comment 3 Michal Nowak 2009-01-13 06:31:08 EST
(In reply to comment #2)
> Some comment before I do a full review.
> 
> - '-n %{name}-%{version}' is not needed in %setup because this is the default.

Duh... sure.

> - ChangeLog is missing in %doc

...but is also 0lenght, not much use of it. It's GNU build system residuum.

> - I personally like one line per BR ;-)

So do I. From now on.

--

Updated:

Spec URL: http://mnowak.fedorapeople.org/ncmpcpp/ncmpcpp.spec
SRPM URL: http://mnowak.fedorapeople.org/ncmpcpp/ncmpcpp-0.2.5-3.fc10.src.rpm

Tue Jan 13 2009 Michal Nowak <mnowak@redhat.com> 0.2.5-3
- minor SPEC file changes
Comment 4 Fabian Affolter 2009-01-13 15:32:38 EST
(In reply to comment #3)
> (In reply to comment #2)
> > - ChangeLog is missing in %doc 
> ...but is also 0lenght, not much use of it. It's GNU build system residuum.

you are right, my fault.
Comment 5 Fabian Affolter 2009-01-13 16:08:32 EST
Package Review
==============

Package: 

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: F9/i386
 [x] Rpmlint output:
     Source RPM:
     [fab@laptop024 SRPMS]$ rpmlint ncmpcpp-0.2.5-3.fc10.src.rpm 
     1 packages and 0 specfiles checked; 0 errors, 0 warnings.
     Binary RPM(s):
     [fab@laptop024 i386]$ rpmlint ncmpcpp*
     2 packages and 0 specfiles checked; 0 errors, 0 warnings.
 [x] Package is not relocatable.
 [x] Buildroot is correct
     master   : %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
     spec file: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.

 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
     Upstream source: acd8df3f5512f7cab8b5b9207c778db1
     Build source:    acd8df3f5512f7cab8b5b9207c778db1
 [x] Package is not known to require ExcludeArch.
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.  %find_lang used for locales.
 [x] %{optflags} or RPM_OPT_FLAGS are honoured.
 [-] ldconfig called in %post and %postun if required.
 [x] %install starts with rm -rf %{buildroot} or $RPM_BUILD_ROOT.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not own files or directories owned by other packages.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly. %defattr(-,root,root,-) is in every %files section.
 [x] Package uses nothing in %doc for runtime.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} or $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.

 [x] Large documentation files are in a -doc subpackage, if required.
 [-] Header files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Package does not contain any libtool archives (.la).
 [x] -debuginfo subpackage is present and looks complete.
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.

=== SUGGESTED ITEMS ===
 [x] Timestamps preserved with cp and install.
 [x] Uses parallel make (%{?_smp_mflags})
 [x] Latest version is packaged.
 [-] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: F9/i386
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested:  http://koji.fedoraproject.org/koji/taskinfo?taskID=1050322
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] Changelog in allowed format

I see no further blocker, package APPROVED
Comment 6 Fabian Affolter 2009-01-13 16:46:02 EST
--disable-static should be added to %configure before import.
Comment 7 Michal Nowak 2009-01-14 04:16:31 EST
(In reply to comment #6)
> --disable-static should be added to %configure before import.

`--disable-static' is used "against" .a static archives. Which are now not created. Am I missing something?
Comment 8 Fabian Affolter 2009-01-14 17:50:54 EST
(In reply to comment #7)
> (In reply to comment #6)
> > --disable-static should be added to %configure before import.
> 
> `--disable-static' is used "against" .a static archives. Which are now not
> created. Am I missing something?

http://koji.fedoraproject.org/koji/getfile?taskID=1050325&name=build.log
...
checking whether to build static libraries... yes
...

There are no .a files created.  I only looked at the single line and not at the build process as a whole.  Sorry for the noise.
Comment 9 Michal Nowak 2009-01-15 05:58:09 EST
(In reply to comment #8)
> ...
> checking whether to build static libraries... yes
> ...
> 
> There are no .a files created.  I only looked at the single line and not at the
> build process as a whole.  Sorry for the noise.

Well, yeah, that could save me some troubles in the future.

http://mnowak.fedorapeople.org/ncmpcpp/ncmpcpp.spec
http://mnowak.fedorapeople.org/ncmpcpp/ncmpcpp-0.2.5-4.fc10.src.rpm

* Thu Jan 15 2009 Michal Nowak <mnowak@redhat.com> 0.2.5-4
- disable building static archives

--

Thanks Fabian review!

--

New Package CVS Request
=======================
Package Name: ncmpcpp
Short Description: Clone of ncmpc with new features and written in C++
Owners: mnowak
Branches: F-9 F-10
Comment 10 Kevin Fenzi 2009-01-15 15:18:26 EST
cvs done.
Comment 11 Fedora Update System 2009-01-16 18:40:32 EST
ncmpcpp-0.2.5-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/ncmpcpp-0.2.5-4.fc10
Comment 12 Fedora Update System 2009-01-16 18:42:50 EST
ncmpcpp-0.2.5-4.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/ncmpcpp-0.2.5-4.fc9
Comment 13 Fedora Update System 2009-01-21 16:26:43 EST
ncmpcpp-0.2.5-4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ncmpcpp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0713
Comment 14 Fedora Update System 2009-01-21 16:29:01 EST
ncmpcpp-0.2.5-4.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update ncmpcpp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-0759
Comment 15 Fedora Update System 2009-02-04 21:10:02 EST
ncmpcpp-0.2.5-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2009-02-04 21:25:14 EST
ncmpcpp-0.2.5-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.